=== debian/changelog ===
bogodisk (0.6.10-1) bionic; urgency=high

  * Fix makefile problems.
  * Update copyrights.

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 12 Mar 2018 09:01:00 -0800

bogodisk (0.6.9-1) bionic; urgency=high

  * Fix compiler warnings.
  * Rebuild for Bionic.

 -- Darrick J. Wong <djwong@djwong.org>  Thu,  1 Feb 2018 00:05:00 -0800

bogodisk (0.6.8-1) xenial; urgency=high

  * Increase bogodisk timestamp precision.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 11 Jul 2017 14:23:00 -0700

bogodisk (0.6.7-4) xenial; urgency=high

  * Increase bogoseek timestamp precision.
  * Actually do the above.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 11 Jul 2017 00:19:00 -0700

bogodisk (0.6.6-3) xenial; urgency=high

  * Rebuild for Xenial.
  * Fix potential uninitialized variable error.
  * Fix integer comparison error.
  * Enable LTO.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 15 Mar 2016 15:31:00 -0700

bogodisk (0.6.5-1) trusty; urgency=high

  * Eschew using the RT CPU scheduler for bumping up CPU priority.

 -- Darrick J. Wong <djwong@djwong.org>  Sun, 13 Jul 2014 18:06:00 -0700

bogodisk (0.6.4-1) trusty; urgency=high

  * Rebuild for Trusty.
  * Add manpages.
  * Update debian control files to the modern era.

 -- Darrick J. Wong <djwong@djwong.org>  Thu, 17 Apr 2014 15:10:00 -0700

bogodisk (0.6.3-1) precise; urgency=high

  * Allow user to turn off mlock and setting the io priority.
  * Compress with xz.

 -- Darrick J. Wong <djwong@djwong.org>  Wed, 22 Jan 2014 15:41:00 -0800

bogodisk (0.6.2-1) precise; urgency=high

  * bogoseek: Fix compiler warnings.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 20:51:00 -0700

bogodisk (0.6.1-1) precise; urgency=high

  * maxiops: Work around a kernel bug with aio.
  * maxiops: Prevent linear mode from seeking past the end.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 20:30:00 -0700

bogodisk (0.6.0-1) precise; urgency=high

  * Include new program maxiops and pull in bogodisk sources.
  * Rename this package to bogodisk.

 -- Darrick J. Wong <djwong@djwong.org>  Fri,  2 Nov 2012 18:28:00 -0700

bogoseek (0.4.2-3) unstable; urgency=high

  * Rebuild again -- multithread mode was mysteriously broken.

 -- Darrick J. Wong <djwong@djwong.org>  Wed, 10 Oct 2012 11:40:00 -0700

bogoseek (0.4.2-2) unstable; urgency=high

  * Rebuild for Precise.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 10 Apr 2012 00:19:00 -0700

bogoseek (0.4.2-1) unstable; urgency=high

  * Fix getopt on ppc.

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 25 Oct 2010 12:57:00 -0700

bogoseek (0.4.1-1) unstable; urgency=low

  * Minor style fixes.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 29 June 2010 17:37:00 -0700

bogoseek (0.4.0-1) unstable; urgency=low

  * Implement multi-threaded mode to gauge how well the device responds to "server" workloads.

 -- Darrick J. Wong <djwong@djwong.org>  Tue, 29 June 2010 16:59:00 -0700

bogoseek (0.3.8-1) unstable; urgency=low

  * Destructive write mode.

 -- Darrick J. Wong <djwong@djwong.org>  Fri, 25 Sep 2009 22:53:00 -0700

bogoseek (0.3.7-1) unstable; urgency=low

  * Fix a bug where a nonzero -b would cause lseek to overflow.

 -- Darrick J. Wong <djwong@djwong.org>  Thu,  5 Mar 2009 16:51:00 -0700

bogoseek (0.3.6-1) unstable; urgency=low

  * Tidy up Makefile (adamg@pld-linux.org)

 -- Darrick J. Wong <djwong@djwong.org>  Mon, 12 Jan 2009 23:58:00 -0700

bogoseek (0.3.5-1) unstable; urgency=low

  * Fix tagging and implement make dist behavior

 -- Darrick J. Wong <djwong@djwong.org>  Sun, 23 Nov 2008 01:56:00 -0700

bogoseek (0.3.4-1) unstable; urgency=low

  * Set io and cpu priority
  * Fix block size detection

 -- Darrick J. Wong <djwong@djwong.org>  Fri, 21 Nov 2008 10:05:04 -0700

bogoseek (0.3.3-1) unstable; urgency=low

  * Fix a bug wherein oldpos was set to the wrong thing.
    Thanks to Frank Yaul

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Fri, 28 Jul 2006 10:05:04 -0700

bogoseek (0.3.2-1) unstable; urgency=low

  * Initial release.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Wed,  7 Jun 2006 19:59:04 -0700
