=== debian/control ===
Source: bogodisk
Section: misc
Priority: optional
Maintainer: Darrick J. Wong <djwong@djwong.org>
Build-Depends: libaio-dev, libc6, debhelper (>= 8.0.0)
Standards-Version: 3.9.5
Homepage: https://djwong.org/programs/bogodisk/

Package: bogodisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bogoseek
Replaces: bogoseek
Conflicts: bogoseek
Description: Block device benchmarking tools.
 Measures transfer speed, seek time, or max iops of a disk device.
